aboutsummaryrefslogtreecommitdiff
path: root/scripts/macos_release.sh
diff options
context:
space:
mode:
authorOmniTroid <davidskoland@gmail.com>2024-07-01 18:00:23 +0200
committerGitHub <noreply@github.com>2024-07-01 18:00:23 +0200
commit36345612d7f5bd03dfbc63fbc38933109486ecc4 (patch)
tree7cede8e691c65da0100b3eb83756290b2f6e672a /scripts/macos_release.sh
parent2b970ec4a315fa22f07105fffce305480de11fb6 (diff)
Readme and script cleanup (#995)
* Ignore .idea * Ignore build dir too * Remove unused Windows Docker files * Remove somewhat cryptic launch.sh script * Remove kebab (javascript) * Remove outdated release_macos script and rename the most up-to-date one to macos_release * Clean up README.md and delete the other ones * Add preliminary configure script * Add hint in dependencies * Remove obsolete CONTRIBUTING.md * let's write the configure script later * Adding this is so supremely ironic that I can't even * Update QtApng repo * Actually we needed that * Add comment * Contact should be h2
Diffstat (limited to 'scripts/macos_release.sh')
-rw-r--r--scripts/macos_release.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/scripts/macos_release.sh b/scripts/macos_release.sh
new file mode 100644
index 00000000..2ed73649
--- /dev/null
+++ b/scripts/macos_release.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# This script prepares the compiled bundle for shipping as a standalone release
+# Assumes the Qt bin folder is in PATH
+# Should be used on a "Release" build from QT creator
+# Note that this DOES NOT add the base/ folder
+
+# Exit on errors and unset variables
+set -eu
+
+ROOT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/"
+
+cd ${ROOT_DIR}
+
+# This thing basically does all the work
+/usr/local/opt/qt/bin/macdeployqt ../bin/Attorney_Online.app
+
+# Need to add the dependencies
+cp ../lib/* ../bin/Attorney_Online.app/Contents/Frameworks
+
+# libbass has a funny path for some reason, just use rpath
+install_name_tool -change @loader_path/libbass.dylib @rpath/libbass.dylib ../bin/Attorney_Online.app/Contents/MacOS/Attorney_Online
+install_name_tool -change @loader_path/libbassopus.dylib @rpath/libbassopus.dylib ../bin/Attorney_Online.app/Contents/MacOS/Attorney_Online
+
+zip -r -9 ../bin/Attorney_Online_macOS.zip ../bin/ \ No newline at end of file